Bug 110519 - [UPDATE]update scheme48 from 1.3 to 1.5:Scheme48 is an implementation of scheme(R5RS)
Summary: [UPDATE]update scheme48 from 1.3 to 1.5:Scheme48 is an implementation of sche...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Gabor Kovesdan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-03-19 15:50 UTC by Nemo Liu
Modified: 2007-04-04 17:00 UTC (History)
0 users

See Also:


Attachments
file.txt (7.96 KB, text/plain)
2007-03-19 15:50 UTC, Nemo Liu
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nemo Liu 2007-03-19 15:50:03 UTC
1.5 is the lastest release of Scheme48.
Scheme48 is an implementation of scheme(R5RS).Scheme 48 is an implementation of Scheme written by Richard Kelsey and Jonathan Rees. It is based on a byte-code interpreter and is designed to be used as a testbed for experiments in implementation techniques and as an expository tool.
Version 1.5:
    * Additions:
          o Comprehensive Unicode support was added. See the manual for details.
          o An implementation of SRFI 19 was added. (thanks to Emilio Lopes)
          o Syntax-rules now supports vector patterns and templates.
          o The ,bound? command now produces more output. (thanks to Taylor Campbell)
    * Changes:
          o Many of the POSIX procedures that accepted or returned strings previously now accept or return OS strings. See the manual for details.
          o The ,build command now accepts a procedure that will be called with a list of OS strings rather than regular strings.
          o The ascii->char and char->ascii procedures from the ascii structure covers only ASCII (codes 0-127) now. (Previously, the range included 128-255 as well.)
    * Bug fixes:
          o A bug with package mutation was fixed. (reported by Taylor Campbell)

Fix: Patch attached with submission follows:
Comment 1 Gabor Kovesdan freebsd_committer 2007-03-28 10:19:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gabor

Take.
Comment 2 Gabor Kovesdan freebsd_committer 2007-04-04 16:55:57 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 3 dfilter service freebsd_committer 2007-04-04 16:55:59 UTC
gabor       2007-04-04 15:55:52 UTC

  FreeBSD ports repository

  Modified files:
    lang/scheme48        Makefile distinfo pkg-descr pkg-plist 
  Log:
  - Update to 1.5
  - Pass maintainership to submitter
  
  PR:             ports/110519
  Submitted by:   Nemo Liu <nemoliu@gmail.com>
  
  Revision  Changes    Path
  1.31      +5 -10     ports/lang/scheme48/Makefile
  1.11      +3 -3      ports/lang/scheme48/distinfo
  1.5       +11 -8     ports/lang/scheme48/pkg-descr
  1.11      +39 -7     ports/lang/scheme48/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"